Bug 134480 - pppd cannot properly shut down after remote peer refused to authenticate itself
pppd cannot properly shut down after remote peer refused to authenticate itself
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-03 14:47 EDT by Alexander Trunoff
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 08:34:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Trunoff 2004-10-03 14:47:49 EDT
Description of problem:

pppd is set up to accept only CHAP/MS-CHAP authentication type, and 
if remote side cannot authenticate itself using (MS)CHAP, it prints 
the following (full session transcript is in Additional Information):

Oct  3 22:29:46 skynets pppoe-server[30209]: Session 23 created for 
client 00:0d:61:a8:17:90 (192.168.4.32) on eth1 using Service-
Name 'Internet'
Oct  3 22:29:46 skynets pppd[30209]: pppd 2.4.2 started by root, uid 0
Oct  3 22:29:46 skynets pppd[30209]: Using interface ppp5
Oct  3 22:29:46 skynets pppd[30209]: Connect: ppp5 <--> /dev/pts/49
Oct  3 22:29:48 skynets pppd[30209]: peer refused to authenticate: 
terminating link
Oct  3 22:29:48 skynets pppd[30209]: Connection terminated.
Oct  3 22:29:48 skynets pppoe-server[2051]: Sent PADT
Oct  3 22:29:48 skynets pppoe[30210]: read (asyncReadFromPPP): 
Session 23: Input/output error
Oct  3 22:29:48 skynets pppd[30209]: Terminating on signal 15.
Oct  3 22:30:18 skynets last message repeated 242930 times

this excessive logging in accompanied with relevant CPU load.

Version-Release number of selected component (if applicable):

rp-pppoe-3.5-14, ppp-2.4.2-2

How reproducible:

1. For example, in WinXP, uncheck MS-CHAP and CHAP fields and check 
PAP one.
2. Try to connect to PPPoE server running at FC machine.
Comment 1 Thomas Woerner 2004-10-08 08:59:05 EDT
Please verify this with ppp and rp-pppoe from rawhide.
Comment 2 Alexander Trunoff 2004-10-25 11:47:37 EDT
I'm not sure what is rawhide, but after I got ppp and rp-pppoe from 
here: 

http://download.fedora.redhat.com/pub/fedora/linux/core/development/i3
86/Fedora/RPMS/

the issue disappeared, so I think the case is closed.

Note You need to log in before you can comment on or make changes to this bug.